| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__UpdateEAMemberDataRequest Struct Reference
Executive Assistant Group

Update EA Member Data request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
unsp__BGName | BGName
| The Business Group where the EA Group is included. More...
unsp__EAGroupName | EAGroupName
| The E/A group name that will be used as a filter. More...
unsp__ServiceId | MemberServiceID
| The Member Service ID. More...
xsd__string | PhoneIP
| A value indicating the Phone IP of the member. More...
xsd__boolean * | TypeExecutive
| Flag indicating if member is an executive. More...
wchar_t * | MemberName
| The unicode name of the member. More...
enum unsp__EAMemberStatus * | MemberStatus
| The current status of the EA member. More...
xsd__string | MemberPreference
| Attribute that can be used for preferences. More...
xsd__string | MemberForwardNumber
| A value indicating the forward number of the member. More...
xsd__string | MemberToNumber
| A value indicating the 'to' number of the member. More...
xsd__string | MemberMobileNumber
| Member Mobile Number. More...
xsd__string | AdditionalInfo
| Additional information. More...
enum unsp__EAMemberRole * | MemberRole
| Member Role. More...
xsd__boolean * | PrivateNumberVisible
| Indicates whether the Member Private Number is Visible. More...
xsd__string | MemberPosition
| Member Position. More...

## Detailed Description

Update EA Member Data request.

Used by unsp__UpdateEAMemberData()

## Member Data Documentation

## ◆ AdditionalInfo

xsd__string unsp__UpdateEAMemberDataRequest::AdditionalInfo

Additional information.

required: false
default value[range]: NA

## ◆ BGName

unsp__BGName unsp__UpdateEAMemberDataRequest::BGName

The Business Group where the EA Group is included.

required: true

See also
  unsp__BGName

## ◆ EAGroupName

unsp__EAGroupName unsp__UpdateEAMemberDataRequest::EAGroupName

The E/A group name that will be used as a filter.

required: true

See also
  unsp__EAGroupName

## ◆ MemberForwardNumber

xsd__string unsp__UpdateEAMemberDataRequest::MemberForwardNumber

A value indicating the forward number of the member.

required: false
default value[range]: NA

## ◆ MemberMobileNumber

xsd__string unsp__UpdateEAMemberDataRequest::MemberMobileNumber

Member Mobile Number.

required: false
default value[range]: NA

## ◆ MemberName

wchar_t* unsp__UpdateEAMemberDataRequest::MemberName

The unicode name of the member.

required: false
default value[range]: NA

## ◆ MemberPosition

xsd__string unsp__UpdateEAMemberDataRequest::MemberPosition

Member Position.

required: false
default value[range]: NA

## ◆ MemberPreference

xsd__string unsp__UpdateEAMemberDataRequest::MemberPreference

Attribute that can be used for preferences.

required: false
default value[range]: NA

## ◆ MemberRole

enum unsp__EAMemberRole* unsp__UpdateEAMemberDataRequest::MemberRole

Member Role.

required: false
default value[range]: NA

## ◆ MemberServiceID

unsp__ServiceId unsp__UpdateEAMemberDataRequest::MemberServiceID

The Member Service ID.

required: true

See also
  unsp__ServiceId

## ◆ MemberStatus

enum unsp__EAMemberStatus* unsp__UpdateEAMemberDataRequest::MemberStatus

The current status of the EA member.

required: false
default value[range]: NA

## ◆ MemberToNumber

xsd__string unsp__UpdateEAMemberDataRequest::MemberToNumber

A value indicating the 'to' number of the member.

required: false
default value[range]: NA

## ◆ OperatorId

xsd__string unsp__UpdateEAMemberDataRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PhoneIP

xsd__string unsp__UpdateEAMemberDataRequest::PhoneIP

A value indicating the Phone IP of the member.

required: false
default value[range]: NA

## ◆ PrivateNumberVisible

xsd__boolean* unsp__UpdateEAMemberDataRequest::PrivateNumberVisible

Indicates whether the Member Private Number is Visible.

required: false
default value[range]: NA

## ◆ TypeExecutive

xsd__boolean* unsp__UpdateEAMemberDataRequest::TypeExecutive

Flag indicating if member is an executive.

required: false
default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h